ShotTracker Developer

Unparalleled data set + realtime API = future of sports. Build with live tracking, stats, and broadcast-ready endpoints.

Broadcast API

Base URL: https://api.shottracker.com/broadcast/v1

/broadcast/v1/games/teams/{team_id}

GETTeam Roster

The current active players on the team. The endpoint also returns the players current assigned sensor which can change during a game. The game_event_id parameter can be used to look up all of the players on the team at the time of a game. With this query parameter an additional field is return 'sensor_assignments_history' which indicates the sensor assignments during the game. This field is the same response from the Event API Sensor Assignments History Players who are no longer on the team will have an 'is_active' false. The special_services field returns items for specific special events; possible type values are MIC, VIDEO.

Basketball Player Positions

AbbreviationDescription
GGUARD
FFORWARD
CCENTER

Parameters

NameInTypeRequiredDescription
team_idpathnumberYesID of the team
game_event_idquerystringNoID of the game
apikeyquerystringYesThe authentication key

Responses

  • 200OK
    {
      "id": 493,
      "name": "BWB",
      "abbr": "BB",
      "city": "Kansas City",
      "state": "MO",
      "color_rgb": "0066CC",
      "players": [
        {
          "id": 3531,
          "first_name": "Shelden",
          "last_name": "Williams",
          "jersey_number": 4,
          "jersey_number_str": "4",
          "position_abbr": "C",
          "sensor": 100630,
          "special_services": []
        },
        {
          "id": 3541,
          "first_name": "Casey",
          "last_name": "Jacobsen",
          "jersey_number": 3,
          "jersey_number_str": "3",
          "position_abbr": "F",
          "sensor": 100520,
          "special_services": [
            {
              "type": "MIC",
              "value": "mic6"
            }
          ]
        },
        {
          "id": 3548,
          "first_name": "Mateen",
          "last_name": "Cleaves",
          "jersey_number": 2,
          "jersey_number_str": "2",
          "position_abbr": "G",
          "sensor": 100539,
          "special_services": []
        },
        {
          "id": 3532,
          "first_name": "Alando",
          "last_name": "Tucker",
          "jersey_number": 6,
          "jersey_number_str": "6",
          "position_abbr": "F",
          "sensor": null,
          "special_services": []
        }
      ]
    }